%define		modname	rar
%define		status		stable
Summary:	%{modname} - read rar archives
Summary(pl.UTF-8):	%{modname} - odczyt archiwów rar
Name:		php-pecl-%{modname}
Version:	2.0.0
Release:	1
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	2bbd2fbcd7a08089e40191bb96181736
URL:		http://pecl.php.net/package/rar/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rar is a powerful and effective archiver, which was created by Eugene
Roshal and became rather popular quite fast. This extension gives you
possibility to read Rar archives.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rar to potężny i wydajny archiwizator. Został stworzony przez Eugene
Roshala i szybko zdobył popularność. Z pomocą tego rozszerzenia
możliwy jest odczyt archiwów Rar.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}*/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-rar.git;a=log;h=AC-branch

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> cb3c779
- damn, there is 2.0.0 release too, pldnotify.awk got it wrong

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> e3a88fb
- 2.0.0b2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> d0255cf
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> c2d1435
- up to 1.0.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6565c23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 45937d4
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 53dda1a
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 89c8c1b
- rel 2 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 123976f
- BR rpmmacros for fixed %requires_php_extension

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> 7a2fbf2
- updated to 0.3.1

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> 0c7169e
- updated to 0.3.0

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 51d2122
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 006dbbf
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> b232654
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> bb45ae1
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> f3725ed
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 3c8cbc3
- superfluous BR libtool removed

* Sun Dec 05 2004 Adam Gołębiowski <adamg@pld-linux.org> f4a84f0
- updated to 0.2

* Sat Aug 07 2004 Adam Gołębiowski <adamg@pld-linux.org> 37a8524
- uh-oh, fixed %files

* Sat Aug 07 2004 Adam Gołębiowski <adamg@pld-linux.org> 46704c5
- few typos fixed
- proper URL
- cut off template changelog

